%define 	module	ClientForm
Summary:	Python module for handling HTML forms (on the client side)
Summary(pl.UTF-8):	Moduł Pythona do obsługi formularzy HTML (po stronie klienta)
Name:		python-%{module}
Version:	0.2.10
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://wwwsearch.sourceforge.net/%{module}/src/%{module}-%{version}.tar.gz
# Source0-md5:	832c0ca78674f9263d1fc5fab8756e66
URL:		http://wwwsearch.sourceforge.net/ClientForm/
Requires:	python-modules >= 2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClientForm is a Python module for handling HTML forms on the client
side, useful for parsing HTML forms, filling them in and returning the
completed forms to the server. It developed from a port of Gisle Aas'
Perl module HTML::Form, from the libwww-perl library, but the
interface is not the same.

%description -l pl.UTF-8
ClientForm to moduł Pythona obsługujący formularze HTML po stronie
klienta. Przydatny do przetwarzania tychże, wypełniania i odsyłania do
serwera. Został stworzony na wzór perlowego modułu HTML::Form
napisanego przez Gislea Aasa, pochodzącego z biblioteki libwww-perl,
ale jego interfejs (API) jest inny.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean %{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt ChangeLog.txt GeneralFAQ.html README.html
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/ClientForm-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ClientForm.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9da2f51
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b7edbb7
- automatic change: use py_build/py_install macros

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> b6f2b8d
- Up to 0.2.10

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f98dfee
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a13dabc
- release 3

* Thu Oct 16 2008 Elan Ruusamäe <glen@pld-linux.org> 2d5d8e3
- version independant egg info

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d39350
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 132de14
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d36da9
- converted to UTF-8

* Fri Feb 09 2007 Jakub Krajniak <jkrajniak@gmail.com> b36f1a6
- up to 0.2.6

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> 0b5a6d2
- updated to 0.1.16

* Wed May 26 2004 ankry <ankry@pld-linux.org> 774cfa9
- capitalization, tabs, other cosmetics

* Thu May 13 2004 ankry <ankry@pld-linux.org> 40e08fb
- spaces -> tabs, other cosmetics

* Sun Feb 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 3e10d3c
- shorter summaries ("package providing" is obvious)
- dropped README.txt (just lynx-rendered copy of README.html)

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> 19148cd
- initial import (from Jakub Piotr Clapa <loc(at)toya.net.pl>)

